module Fwb
  module Commands
    class Unrecognized < Base
      def self.from_argv(argv)
        new(argv[0])
      end

      attr_accessor :attempted_command

      def initialize(attempted_command)
        self.attempted_command = attempted_command
      end

      def output
        "Unrecognized command: \"#{attempted_command}\""
      end
    end
  end
end
