require 'fwb/commands'

module Fwb
  class CommandFactory
    COMMAND_NAMES = {
      'init' => Commands::Init,
      'new' => Commands::New,
      'next' => Commands::Next,
      'done' => Commands::Done,
    }

    def self.from_argv(argv)
      (COMMAND_NAMES[argv[0]] || Commands::Unrecognized).from_argv(argv)
    end
  end
end
