module Fwb
  module Commands
    class Next < Base
      def self.from_argv(argv)
        new
      end

      def execute!
        return Result.new('fatal: Not a fwb backlog') unless fwb_dir_exists?

        super
      end

      def output
        File.read(current_file).lines.map(&:rstrip).first ||
          'fatal: The backlog is empty'
      end
    end
  end
end
